# Class default`Abstract`

Abstract class for handling UI elements related to control settings.

#### Hierarchy (view full)

- default
  - default
    - default
    - default

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:28

#####
Index

### Constructors

constructor

### Properties

actionsBg
active
bindingSettings
commonSettingsCount
configs
cursor
cursorObj
device
inputsIcons
keys
layout
localStoragePropertyName
mode
navigationContainer
navigationIcons
optionCursors
optionValueLabels
optionsBg
optionsContainer
rowsToDisplay
scene
scrollCursor
setting
settingBlacklisted
settingDeviceDefaults
settingDeviceOptions
settingLabels
settingsContainer
textureOverride
titleSelected

### Methods

clear
eraseCursor
getActiveConfig
getCursor
getLocalStorageSetting
getTextColor
getUi
processInput
resetScroll
saveSettingToLocalStorage
setCursor
setLayout
setOptionCursor
setScrollCursor
setSetting
setup
show
updateBindings
updateNavigationDisplay
updateSettingsScroll

## Constructors

### constructor

- new default(scene, mode?): default

- Constructor for the AbstractSettingsUiHandler.

  #### Parameters

  - scene: default

    The BattleScene instance.

  - `Optional` mode: Mode

    The UI mode.

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:75

## Properties

### `Protected` actionsBg

actionsBg: NineSlice

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:38

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` bindingSettings

bindingSettings: String[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:52

### `Protected` commonSettingsCount

commonSettingsCount: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:59

### `Protected` configs

configs: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:58

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` cursorObj

cursorObj: NineSlice

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:35

### `Protected` device

device: Device

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:64

### `Protected` inputsIcons

inputsIcons: InputsIcons

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:46

### `Protected` keys

keys: String[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:49

### `Protected` layout

layout: Map<string, LayoutConfig > = ...

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:44

### `Protected` localStoragePropertyName

localStoragePropertyName: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:62

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` navigationContainer

navigationContainer: default

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:31

### `Protected` navigationIcons

navigationIcons: InputsIcons

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:47

### `Protected` optionCursors

optionCursors: number[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:34

### `Protected` optionValueLabels

optionValueLabels: Text[][]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:41

### `Protected` optionsBg

optionsBg: NineSlice

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:37

### `Protected` optionsContainer

optionsContainer: Container

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:30

### `Protected` rowsToDisplay

rowsToDisplay: number

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:63

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` scrollCursor

scrollCursor: number

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:33

### `Protected` setting

setting: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:54

### `Protected` settingBlacklisted

settingBlacklisted: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:55

### `Protected` settingDeviceDefaults

settingDeviceDefaults: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:56

### `Protected` settingDeviceOptions

settingDeviceOptions: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:57

### `Protected` settingLabels

settingLabels: Text[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:40

### `Protected` settingsContainer

settingsContainer: Container

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:29

### `Protected` textureOverride

textureOverride: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:60

### `Protected` titleSelected

titleSelected: any

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:61

## Methods

### clear

- clear(): void

- Clear the UI elements and state.

  #### Returns void

  Overrides default.clear

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:637

### eraseCursor

- eraseCursor(): void

- Erase the cursor from the UI.

  #### Returns void

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:650

### getActiveConfig

- getActiveConfig(): InterfaceConfig

- Get the active configuration.

  #### Returns InterfaceConfig

  The active configuration for current device

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:269

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getLocalStorageSetting

- getLocalStorageSetting(): object

- #### Returns object

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:80

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### processInput

- processInput(button): boolean

- Process the input for the given button.

  #### Parameters

  - button: Button

    The button to process.

  #### Returns boolean

  `true` if the input was processed successfully.

  Overrides default.processInput

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:412

### resetScroll

- resetScroll(): void

- #### Returns void

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:511

### `Abstract` saveSettingToLocalStorage

- saveSettingToLocalStorage(setting, cursor): void

- #### Parameters

  - setting: any
  - cursor: any

  #### Returns void

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:66

### setCursor

- setCursor(cursor): boolean

- Set the cursor to the specified position.

  #### Parameters

  - cursor: number

    The cursor position to set.

  #### Returns boolean

  `true` if the cursor was set successfully.

  Overrides default.setCursor

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:526

### setLayout

- setLayout(activeConfig): boolean

- Set the UI layout for the active device configuration.

  #### Parameters

  - activeConfig: InterfaceConfig

    The active device configuration.

  #### Returns boolean

  `true` if the layout was successfully applied, otherwise `false`.

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:377

### setOptionCursor

- setOptionCursor(settingIndex, cursor, save?): boolean

- Set the option cursor to the specified position.

  #### Parameters

  - settingIndex: number

    The index of the setting.

  - cursor: number

    The cursor position to set.

  - `Optional` save: boolean

    Whether to save the setting to local storage.

  #### Returns boolean

  `true` if the option cursor was set successfully.

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:578

### setScrollCursor

- setScrollCursor(scrollCursor): boolean

- Set the scroll cursor to the specified position.

  #### Parameters

  - scrollCursor: number

    The scroll cursor position to set.

  #### Returns boolean

  `true` if the scroll cursor was set successfully.

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:552

### `Abstract` setSetting

- setSetting(scene, setting, value): boolean

- #### Parameters

  - scene: default
  - setting: any
  - value: number

  #### Returns boolean

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:67

### setup

- setup(): void

- Setup UI elements.

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:89

### show

- show(args): boolean

- Show the UI with the provided arguments.

  #### Parameters

  - args: any[]

    Arguments to be passed to the show method.

  #### Returns boolean

  `true` if successful.

  Overrides default.show

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:348

### updateBindings

- updateBindings(): void

- Update the bindings for the current active device configuration.

  #### Returns void

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:276

### updateNavigationDisplay

- updateNavigationDisplay(): void

- #### Returns void

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:318

### updateSettingsScroll

- updateSettingsScroll(): void

- Update the scroll position of the settings UI.

  #### Returns void

  - Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:612